crashpad::ProcessReaderFuchsia::Module Struct Reference

Contains information about a module loaded into a process. More...

`#include "snapshot/fuchsia/process_reader_fuchsia.h"`

## Public Attributes

std::string | name
| The `ZX_PROP_NAME` of the module.
ElfImageReader * | reader
| An image reader for the module. More...
ModuleSnapshot::ModuleType | type = ModuleSnapshot::kModuleTypeUnknown
| The module's type.

## Detailed Description

Contains information about a module loaded into a process.

## Member Data Documentation

## reader

ElfImageReader* crashpad::ProcessReaderFuchsia::Module::reader

An image reader for the module.

The lifetime of this ElfImageReader is scoped to the lifetime of the ProcessReaderFuchsia that created it.

This field may be `nullptr` if a reader could not be created for the module.

The documentation for this struct was generated from the following files:

- snapshot/fuchsia/process_reader_fuchsia.h
- snapshot/fuchsia/process_reader_fuchsia.cc